curl --request GET \
--url https://app.onecodex.com/api/v1/samples/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.onecodex.com/api/v1/samples/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.onecodex.com/api/v1/samples/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"$uri": "/api/v1/samples/0d77065796f8d173",
"created_at": "2023-11-07T05:31:56Z",
"metadata": {
"__DOLLAR_REF__": "/api/v1/metadata/a1b2c3d4e5f67890"
},
"owner": {
"__DOLLAR_REF__": "/api/v1/users/a1b2c3d4e5f67890"
},
"primary_classification": {
"__DOLLAR_REF__": "/api/v1/classifications/a1b2c3d4e5f67890"
},
"status": "awaiting_data",
"visibility": "public",
"error_msg": "<string>",
"filename": "<string>",
"project": {
"__DOLLAR_REF__": "/api/v1/projects/a1b2c3d4e5f67890"
},
"size": 123,
"tags": [],
"updated_at": "2023-11-07T05:31:56Z"
}Retrieve A Sample
Authorizations
Path Parameters
Response
OK
^/api/v1/samples/[a-f0-9]{16}$"/api/v1/samples/0d77065796f8d173"
A metadata object.
Show child attributes
Show child attributes
The owner of the sample.
Show child attributes
Show child attributes
A reference to a Classification for the sample. This will typically be the One Codex Database or Targeted Loci Database results as appropriate. Note that samples will not have a primary_classification while they are still importing or being uploaded.
Show child attributes
Show child attributes
Enum for user-facing data status.
This is a subset of DataStatus for the status attribute in the APIs.
awaiting_data, importing, validating, failed_validation, available, deleted Enum for the v1 API visibility attribute.
Note: this is legacy and only exists for backwards-compatibility in the public v1 API.
public, shared, private, importing, awaiting data An error message if the sample failed to upload, import, or validate.
The sample filename.
The project the sample belongs to (optional).
- projects
- Project
Show child attributes
Show child attributes
The size of the uploaded file in bytes.
An (optionally empty) array of references to Tags describing the sample. Tags are an additional unstructured organizational tool that complement Projects and Metadata records.
Show child attributes
Show child attributes

